/*
    Title:    UART library
    Author:   Volker Oth
    Date:     5/1999
    Purpose:  Sending a block of data to uart.
    needed
    Software: AVR-GCC to compile, AVA to assemble and link
    needed
    Hardware: ATS90S8515 on STK200 board
    Note:     To contact me, mail to
                  volkeroth@gmx.de
              You might find more AVR related stuff at my homepage:
                  http://members.xoom.com/volkeroth
*/

#ifndef UART_H
#define UART_H

/* set baud rate here */		// for MIDI
#define UART_BAUD_RATE 31250
#define ESC            0x1b
#define UART_BUF_SIZE    16


/* automatically calcuate baud register value */
#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)


/* prototypes */
extern void uart_init(void);
#ifdef USE_TX
extern void uart_clr(void);
extern void uart_nl(void);
extern uint8_t uart_putstr(uint8_t s[]);
extern uint8_t uart_putchar(uint8_t c);
#endif
extern int16_t  uart_getchar(void);

#endif 
